gdcm::network::AAbortPDU Class Reference

AAbortPDU. More...

`#include <gdcmAAbortPDU.h>`

Inheritance diagram for gdcm::network::AAbortPDU:
[legend]
Collaboration diagram for gdcm::network::AAbortPDU:
[legend]

## Public Member Functions

| AAbortPDU ()
bool | IsLastFragment () const override
void | Print (std::ostream &os) const override
std::istream & | Read (std::istream &is) override
void | SetReason (const uint8_t r)
void | SetSource (const uint8_t s)
size_t | Size () const override
const std::ostream & | Write (std::ostream &os) const override
Public Member Functions inherited from gdcm::network::BasePDU
virtual | ~BasePDU ()=default

## Detailed Description

AAbortPDU.

Table 9-26 A-ABORT PDU FIELDS

## Constructor & Destructor Documentation

## AAbortPDU()

gdcm::network::AAbortPDU::AAbortPDU | ( |  | ) |

## Member Function Documentation

## IsLastFragment()

bool gdcm::network::AAbortPDU::IsLastFragment | ( |  | ) | const

inline override virtual

Implements gdcm::network::BasePDU.

## Print()

void gdcm::network::AAbortPDU::Print | ( | std::ostream & | os | ) | const

override virtual

Implements gdcm::network::BasePDU.

## Read()

std::istream & gdcm::network::AAbortPDU::Read | ( | std::istream & | is | ) |

override virtual

Implements gdcm::network::BasePDU.

## SetReason()

void gdcm::network::AAbortPDU::SetReason | ( | const uint8_t | r | ) |

## SetSource()

void gdcm::network::AAbortPDU::SetSource | ( | const uint8_t | s | ) |

## Size()

size_t gdcm::network::AAbortPDU::Size | ( |  | ) | const

override virtual

Implements gdcm::network::BasePDU.

## Write()

const std::ostream & gdcm::network::AAbortPDU::Write | ( | std::ostream & | os | ) | const

override virtual

Implements gdcm::network::BasePDU.

The documentation for this class was generated from the following file:

- gdcmAAbortPDU.h